Bug 995542 - Review Request: castor-maven-plugin - Maven plugin for Castor XML's code generator
Review Request: castor-maven-plugin - Maven plugin for Castor XML's code gene...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 820676
  Show dependency treegraph
 
Reported: 2013-08-09 12:46 EDT by Mat Booth
Modified: 2013-08-12 09:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 09:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2013-08-09 12:46:26 EDT
Spec URL: http://mbooth.fedorapeople.org/reviews/castor-maven-plugin.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/castor-maven-plugin-2.1-1.fc20.src.rpm
Description:
The Castor plugin is a Maven plugin that provides the functionality of Castor
XML's code generator for generating Java beans and associated descriptor
classes (required for marshaling to and unmarshaling from XML documents) from
XML Schema files.

Fedora Account System Username: mbooth

Notes: This package is needed in order to perform a non-bootstrap build of the "castor" package, see bug 820676. Tests are disabled because 2 of them fail with a ComponentLookupException during test setup -- this is not the only package that suffers this problem, so I suspect there is a deeper problem with unit testing maven mojos but I have not yet gotten to the bottom of it.
Comment 1 gil cattaneo 2013-08-09 16:10:07 EDT
Manual review, cause: 
fedora-review -b 995542 -m fedora-rawhide-i386
Error: No package found for castor> = 1.3.2-9
Child return code was: 1

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
  SKIP
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'
  FIXME

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in castor-
     maven-plugin-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 29 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/gil/995542-castor-maven-plugin/castor-maven-plugin-2.1-1.fc20.noarch.rpm /home/gil/995542-castor-maven-plugin/castor-maven-plugin-javadoc-2.1-1.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-19-i386/root/', 'install', '/home/gil/995542-castor-maven-plugin/castor-maven-plugin-2.1-1.fc20.noarch.rpm', '/home/gil/995542-castor-maven-plugin/castor-maven-plugin-javadoc-2.1-1.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: castor-maven-plugin-2.1-1.fc20.noarch (/castor-maven-plugin-2.1-1.fc20.noarch)
            Requires: mvn(org.codehaus.castor:castor-xml-schema)
Error: Package: castor-maven-plugin-2.1-1.fc20.noarch (/castor-maven-plugin-2.1-1.fc20.noarch)
            Requires: mvn(org.codehaus.castor:castor-codegen)
 You can try using --skip-broken to work around the problem
 Try to perform: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: castor-maven-plugin-2.1-1.fc20.noarch.rpm
          castor-maven-plugin-javadoc-2.1-1.fc20.noarch.rpm
castor-maven-plugin.noarch: W: spelling-error %description -l en_US unmarshaling -> marshaling
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



FIXME
Jar and class files in source
-----------------------------
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/castor-1-1.0-SNAPSHOT.jar
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/codehaus/mojo/App.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEvent.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/UeiDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor$3.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Automation.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationsDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor$4.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor$6.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Trigger.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggersDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/ActionDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/ActionDescriptor$2.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor$5.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEventDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggerDescriptor$4.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggersDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/ActionDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor$2.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/ActionsDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEventsDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEventsDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEventDescriptor$2.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor$6.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggerDescriptor$3.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Statement.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Action.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor$4.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor$2.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Triggers.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEventDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Uei.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/StatementDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor$5.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor$3.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Automations.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/ActionsDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfigurationDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/UeiDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggerDescriptor$2.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationsDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/StatementDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggerDescriptor$1.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEvents.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutomationDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/AutoEventDescriptor$3.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/VacuumdConfiguration.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/TriggerDescriptor.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/classes/org/opennms/netmgt/config/vacuumd/Actions.class
./castor-maven-plugin-2.1/src/test/projects/castor-1/target/test-classes/org/codehaus/mojo/AppTest.class


Requires
--------
castor-maven-plugin-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

castor-maven-plugin (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(commons-io:commons-io)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.maven:maven-project)
    mvn(org.codehaus.castor:castor-codegen)
    mvn(org.codehaus.castor:castor-xml-schema)
    mvn(org.codehaus.plexus:plexus-compiler-api)
    mvn(org.codehaus.plexus:plexus-utils)



Provides
--------
castor-maven-plugin-javadoc:
    castor-maven-plugin-javadoc

castor-maven-plugin:
    castor-maven-plugin
    mvn(org.codehaus.mojo:castor-maven-plugin)



Source checksums
----------------
http://repo2.maven.org/maven2/org/codehaus/mojo/castor-maven-plugin/2.1/castor-maven-plugin-2.1-source-release.zip :
  CHECKSUM(SHA256) this package     : c426dfa517f052f3b9d097013f2a0893c63cd69e0decdfa21d12f84c22d2ff14
  CHECKSUM(SHA256) upstream package : c426dfa517f052f3b9d097013f2a0893c63cd69e0decdfa21d12f84c22d2ff14
Using local file LICENSE-2.0.txt as upstream
file:///LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-i386
Command line :/usr/bin/fedora-review -vpn castor-maven-plugin

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

reported for you at http://jira.codehaus.org/browse/MCASTOR-40

- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software'
src/test/projects/castor-1/target/castor-1-1.0-SNAPSHOT.jar
src/test/projects/castor-1/target/classes/*
src/test/projects/castor-1/target/test-classes/*
please fix the problems also at import time
Comment 2 Mat Booth 2013-08-10 08:01:01 EDT
See updated SPEC:

http://mbooth.fedorapeople.org/reviews/castor-maven-plugin-2.1-2.fc20.src.rpm
http://mbooth.fedorapeople.org/reviews/castor-maven-plugin.spec

* Sat Aug 10 2013 Mat Booth <fedora@matbooth.co.uk> - 2.1-2
- Remove pre-built binaries in %%prep

BTW, the package builds in koji now that castor >= 1.3.2-9 has landed in the buildroot:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5801571
Comment 3 Mat Booth 2013-08-10 08:06:29 EDT
New Package SCM Request
=======================
Package Name: castor-maven-plugin
Short Description: Maven plugin for Castor XML's code generator
Owners: mbooth
Branches: f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-08-12 08:49:24 EDT
Git done (by process-git-requests).

f20 is not branched yet.
Comment 5 Mat Booth 2013-08-12 09:14:19 EDT
Thanks, now built for all requested branches:

http://koji.fedoraproject.org/koji/buildinfo?buildID=456183

Note You need to log in before you can comment on or make changes to this bug.